Subject: Offline Message from Jasem alanazi: Can I know what is going on with my shipm
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 16 Jun 2020 09:41:22 -0000

From: Jasem alanazi <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/SXJ6Q1NtMmt2ZVB1S1lUcnJGdU1Idz09/
Department: 

Can I know what is going on with my shipment and why until now I didn’t receive it and don’t tell me to contact the carrier because they are not responding to my complains Do you have any solution to return my money ... thanks

----
Zopim
https://www.zopim.com